icmax1.f(3)

NAME
icmax1.f -

SYNOPSIS

  Functions/Subroutines
INTEGER function ICMAX1 (N, CX, INCX)
ICMAX1

Function/Subroutine Documentation

  INTEGER function ICMAX1 (INTEGERN, COMPLEX, dimension( * )CX, INTEGERINCX)

ICMAX1

Purpose:

     ICMAX1 finds the index of the element whose real part has maximum
     absolute value.
     Based on ICAMAX from Level 1 BLAS.
     The change is to use the 'genuine' absolute value.

Parameters:
    N

              N is INTEGER
              The number of elements in the vector CX.

    CX

              CX is COMPLEX array, dimension (N)
              The vector whose elements will be summed.

    INCX

              INCX is INTEGER
              The spacing between successive values of CX.  INCX >= 1.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Contributors:
    Nick Higham for use with CLACON'.

Definition at line 82 of file icmax1.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.